Package: org.codehaus.groovy.binding

## [Java] Interface FullBinding

- org.codehaus.groovy.binding.BindingUpdatable

- All Superinterfaces:
    BindingUpdatable

  Authors:
    Danno Ferrin
  Since:
    Groovy 1.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Closure` | `getConverter()`
    `` | `Closure` | `getReverseConverter()`
    `` | `SourceBinding` | `getSourceBinding()`
    `` | `TargetBinding` | `getTargetBinding()`
    `` | `Closure` | `getValidator()`
    `` | `void` | `setConverter(Closure converter)`
    `` | `void` | `setReverseConverter(Closure reverseConverter)`
    `` | `void` | `setSourceBinding(SourceBinding source)`
    `` | `void` | `setTargetBinding(TargetBinding target)`
    `` | `void` | `setValidator(Closure validator)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BindingUpdatable` | `bind, rebind, reverseUpdate, unbind, update`

- - ### Method Detail

    - #### public Closure getConverter()

    - #### public Closure getReverseConverter()

    - #### public SourceBinding getSourceBinding()

    - #### public TargetBinding getTargetBinding()

    - #### public Closure getValidator()

    - #### public void setConverter(Closure converter)

    - #### public void setReverseConverter(Closure reverseConverter)

    - #### public void setSourceBinding(SourceBinding source)

    - #### public void setTargetBinding(TargetBinding target)

    - #### public void setValidator(Closure validator)